DROP MATERIALIZED VIEW(7)

NAME
DROP_MATERIALIZED_VIEW - remove a materialized view

SYNOPSIS

DROP MATERIALIZED VIEW [ IF EXISTS ] name [, ...] [ CASCADE | RESTRICT ]

DESCRIPTION

DROP MATERIALIZED VIEW drops an existing materialized view. To execute this command you must be the owner of the materialized view.

PARAMETERS

IF EXISTS
    Do not throw an error if the materialized view does not exist. A notice is issued in this case.

name
    The name (optionally schema-qualified) of the materialized view to remove.

CASCADE
    Automatically drop objects that depend on the materialized view (such as other materialized views, or regular views), and in turn all objects that depend on those objects (see Section 5.15).

RESTRICT
    Refuse to drop the materialized view if any objects depend on it. This is the default.

EXAMPLES

This command will remove the materialized view called order_summary:

    DROP MATERIALIZED VIEW order_summary;

COMPATIBILITY

DROP MATERIALIZED VIEW is a PostgreSQL extension.

SEE ALSO
CREATE MATERIALIZED VIEW (CREATE_MATERIALIZED_VIEW(7)), ALTER MATERIALIZED VIEW (ALTER_MATERIALIZED_VIEW(7)), REFRESH MATERIALIZED VIEW (REFRESH_MATERIALIZED_VIEW(7))